#!/bin/bash
# sintaxi: sincro dirpootle dirTermcatDesinc dirdestí

# Reprodueix l'estructura de directoris
find $1 -type d -printf "$3%P\n" | xargs mkdir -p

# Per a tots els .po de dirpootle, si existeix l'equivalent desincronitzat
# a dirTermcatDesinc, aplicar l'msgmerge
for f in $(find $1 -iname "*.po" -printf "%P\n")
do
	pootle=${1}${f}
	echo Del Pootle: $pootle
	termcat=${2}${f}
	if [ -e "$termcat" ]; then
		echo Del Termcat: $termcat
		resultat=${3}${f}
		echo S\'està sincronitzant: $resultat
		msgmerge -o $resultat $termcat $pootle
	else echo Del Termcat: No hi és
	fi
done
echo Fet.